diff bin/makedoc.sh @ 0:1e000243b222

vanilla 1.3.3 distro, I hope
author Charlie Root
date Thu, 04 Jan 2018 15:50:29 -0500
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/makedoc.sh	Thu Jan 04 15:50:29 2018 -0500
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+TITLE="Roundcube Webmail"
+PACKAGES="Webmail"
+
+INSTALL_PATH="`dirname $0`/.."
+PATH_PROJECT=$INSTALL_PATH/program/include
+PATH_FRAMEWORK=$INSTALL_PATH/program/lib/Roundcube
+PATH_DOCS=$INSTALL_PATH/doc/phpdoc
+BIN_PHPDOC="`/usr/bin/which phpdoc`"
+
+if [ ! -x "$BIN_PHPDOC" ]
+then
+  echo "phpdoc not found: $BIN_PHPDOC"
+  exit 1
+fi
+
+OUTPUTFORMAT=HTML
+TEMPLATE=responsive-twig
+
+# make documentation
+$BIN_PHPDOC -d $PATH_PROJECT,$PATH_FRAMEWORK -t $PATH_DOCS --title "$TITLE" --defaultpackagename $PACKAGES \
+	--template=$TEMPLATE
+